import { post } from '#/api/http'

import { BasicService } from '../basic'

class BindChildService extends BasicService {
  async unbind(data: { childId: any; parentId: any }) {
    await post('/parentBindChild/adminUnBound', data)
  }

  async unbindAll(childId: any) {
    await post('/parentBindChild/adminOneStopUnBound', { childId })
  }

  protected findPageUrl(): string {
    return '/parentBindChild/list'
  }

  protected removeUrl(): string {
    throw new Error('Method not implemented.')
  }

  protected saveOrUpdateUrl(): string {
    throw new Error('Method not implemented.')
  }
}

export const bindChildService = new BindChildService()
